SUBSIM Radio Room Forums


SUBSIM: The Web's #1 BBS for all submarine and naval simulations since 1997

Go Back   SUBSIM Radio Room Forums > Silent Hunter 3 - 4 - 5 > SH5 Mods Workshop
Forget password? Reset here

Reply
 
Thread Tools Display Modes
Old 03-11-2018, 01:49 PM   #1
NIDGE2112
Swabbie
 
Join Date: Oct 2013
Location: Torbay, Devon, UK
Posts: 13
Downloads: 332
Uploads: 0
Default .NET Framework 4 and TWOS

Does latest TWOS 2.2 require .NET Framework 4.7.1 to run, because during install of TWOS this is offered , I accept then i am told to install version 4.0.30319 before 4.7.1 can be installed. I didn't and carried on with install, many ctd . Gone back to 2.09 with ongoing career (which is great btw).

Found pre .NET installs (v2.0.9e, v2.1.1, v2.2.0) but when I go to DL it takes me to 2.2.2 latest DL page.
Any link for 2.09e or 2.20?
Should I go ahead with .NET 4?

I have previous versions 3.5 and earlier and would be upset if override incurs other apps/games to stop functioning. I am using XP sp3 (Yea I know !)

Any help most welcome.

NIDGE
NIDGE2112 is offline   Reply With Quote
Old 03-11-2018, 04:01 PM   #2
vdr1981
Silent Hunter
 
Join Date: May 2010
Location: Србија
Posts: 4,736
Downloads: 512
Uploads: 13


Default

Quote:
Originally Posted by NIDGE2112 View Post
Does latest TWOS 2.2 require .NET Framework 4.7.1 to run, because during install of TWOS this is offered , I accept then i am told to install version 4.0.30319 before 4.7.1 can be installed. I didn't and carried on with install, many ctd . Gone back to 2.09 with ongoing career (which is great btw).

Found pre .NET installs (v2.0.9e, v2.1.1, v2.2.0) but when I go to DL it takes me to 2.2.2 latest DL page.
Any link for 2.09e or 2.20?
Should I go ahead with .NET 4?

I have previous versions 3.5 and earlier and would be upset if override incurs other apps/games to stop functioning. I am using XP sp3 (Yea I know !)

Any help most welcome.

NIDGE
Hi Nidge,

Only TWoS installer requires .NET Framework 4 in order to automatically configure few cfg files. The game it self will work fine with NF v3.5 IIRC .

I really don't see any reason why would your apps stop working with latest NF. On the other hand, I moved from XP to win7 long time ago...
vdr1981 is offline   Reply With Quote
Old 03-11-2018, 06:16 PM   #3
bstanko6
Grey Wolf
 
bstanko6's Avatar
 
Join Date: Feb 2015
Location: Some where in the Atlantic
Posts: 932
Downloads: 318
Uploads: 2
Default

I got the same prompt when installed. Just move forward and continue install. There should not be a problem.
bstanko6 is offline   Reply With Quote
Old 03-11-2018, 06:34 PM   #4
vdr1981
Silent Hunter
 
Join Date: May 2010
Location: Србија
Posts: 4,736
Downloads: 512
Uploads: 13


Default

Quote:
Originally Posted by bstanko6 View Post
I got the same prompt when installed. Just move forward and continue install. There should not be a problem.
That's because you already had .NET Framework 4 installed on your computer.
I've configured latest TWoS installer to prompt "error" message right after the files extraction if required .NET Framework is not present.
After that, appropriate NF installation will be offered and this will solve the problem.

Nidge can do this as well but he is concerned that he may mess up his elderly OS in the process.
vdr1981 is offline   Reply With Quote
Old 03-11-2018, 07:05 PM   #5
bstanko6
Grey Wolf
 
bstanko6's Avatar
 
Join Date: Feb 2015
Location: Some where in the Atlantic
Posts: 932
Downloads: 318
Uploads: 2
Default

I see what you are saying.
bstanko6 is offline   Reply With Quote
Old 03-12-2018, 12:00 PM   #6
NIDGE2112
Swabbie
 
Join Date: Oct 2013
Location: Torbay, Devon, UK
Posts: 13
Downloads: 332
Uploads: 0
Default

OK I bit the bullet and installed .NET 4.
Will install latest TWOS and report back soon. Once again thanks for help

NIDGE
NIDGE2112 is offline   Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT -5. The time now is 12:43 AM.


Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
Copyright © 1995- 2018 Subsim